## class Key

> definitions of various character codes.

### Public Fields

  static const int | BACKSPACE definitions of character codes of non-printable ascii chars.
  static const int | TAB
  static const int | VERTICAL_TAB
  static const int | ESCAPE
  static const int | FS
  static const int | RS
  static const int | DELETE
  static const int | CTRL_B
  static const int | CTRL_E
  static const int | HOME definitions of character codes of special keys (non-ascii).
  static const int | LEFT
  static const int | UP
  static const int | RIGHT
  static const int | DOWN
  static const int | PAGE_UP
  static const int | PAGE_DOWN
  static const int | END
  static const int | INSERT

### Public Methods

  static bool | ArrowKey (int key)
  static bool | EditKey (int key)

## Documentation

> definitions of various character codes.

`static const int BACKSPACE`
  definitions of character codes of non-printable ascii chars.

`static const int TAB`

`static const int VERTICAL_TAB`

`static const int ESCAPE`

`static const int FS`

`static const int RS`

`static const int DELETE`

`static const int CTRL_B`

`static const int CTRL_E`

`static const int HOME`
  definitions of character codes of special keys (non-ascii).

`static const int LEFT`

`static const int UP`

`static const int RIGHT`

`static const int DOWN`

`static const int PAGE_UP`

`static const int PAGE_DOWN`

`static const int END`

`static const int INSERT`

`static bool ArrowKey(int key)`

`static bool EditKey(int key)`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de